Get product questions
curl --request GET \
--url https://scrapebadger.com/v1/bestbuy/products/{sku}/questions \
--header 'X-API-Key: <x-api-key>'import requests
url = "https://scrapebadger.com/v1/bestbuy/products/{sku}/questions"
headers = {"X-API-Key": "<x-api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-Key': '<x-api-key>'}};
fetch('https://scrapebadger.com/v1/bestbuy/products/{sku}/questions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://scrapebadger.com/v1/bestbuy/products/{sku}/questions",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"X-API-Key: <x-api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://scrapebadger.com/v1/bestbuy/products/{sku}/questions"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("X-API-Key", "<x-api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://scrapebadger.com/v1/bestbuy/products/{sku}/questions")
.header("X-API-Key", "<x-api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://scrapebadger.com/v1/bestbuy/products/{sku}/questions")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["X-API-Key"] = '<x-api-key>'
response = http.request(request)
puts response.read_bodyBest Buy endpoints
Get product questions
Get product questions.
GET
/
v1
/
bestbuy
/
products
/
{sku}
/
questions
Get product questions
curl --request GET \
--url https://scrapebadger.com/v1/bestbuy/products/{sku}/questions \
--header 'X-API-Key: <x-api-key>'import requests
url = "https://scrapebadger.com/v1/bestbuy/products/{sku}/questions"
headers = {"X-API-Key": "<x-api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-Key': '<x-api-key>'}};
fetch('https://scrapebadger.com/v1/bestbuy/products/{sku}/questions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://scrapebadger.com/v1/bestbuy/products/{sku}/questions",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"X-API-Key: <x-api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://scrapebadger.com/v1/bestbuy/products/{sku}/questions"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("X-API-Key", "<x-api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://scrapebadger.com/v1/bestbuy/products/{sku}/questions")
.header("X-API-Key", "<x-api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://scrapebadger.com/v1/bestbuy/products/{sku}/questions")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["X-API-Key"] = '<x-api-key>'
response = http.request(request)
puts response.read_bodyGet product questions.
Credits: 5 per successful request. Failed requests and empty result sets are not charged.
Browse all Best Buy endpoints.
Authentication
string
required
Your ScrapeBadger API key.
Parameters
string
required
Sku.
integer
default:"1"
Page. Minimum: 1. Maximum: 1000.
integer
default:"10"
Page size. Minimum: 1. Maximum: 50.
string
default:""
Query.
Response
{
"skuId": "6668412",
"questionInfo": {
"aiQuestionCount": 7,
"aiAnswerCount": 7,
"answeredQuestionCount": 34,
"askAQuestionPage": "/site/questions/submission/6668412?campaignId=QA_&return=",
"isQnaEnabled": true,
"qnaStandalonePage": "/site/questions/lenovo-ideapad-slim-3i-15-6-full-hd-laptop-intel-processor-n150-2024-8gb-memory-128gb-storage-arctic-grey/6668412",
"totalAnswerCount": 44,
"totalQuestionCount": 45,
"aiSummary": "This laptop features 8 gigabytes of memory and UFS storage. It includes a 720p front-facing camera, a built-in microphone, and Dolby Audio technology. The device provides up to 12 hours of battery life and Wi-Fi 6 wireless connectivity. External displays are supported via HDMI and USB-C, with the ability to connect two monitors using a hub. The laptop includes a 65W round tip power adapter and a card reader for SD cards. Preinstalled software includes a 30-day trial membership for Office applications."
},
"questions": {
"results": [
{
"answerCount": 1,
"bazaarvoiceId": null,
"id": "0a702d6f-d126-360a-965b-94916d89e4e6",
"isAiGenerated": true,
"negativeFeedbackCount": 0,
"positiveFeedbackCount": 0,
"submissionTime": null,
"text": null,
"title": "How much memory does this Lenovo laptop have?",
"userNickname": null,
"answers": [
{
"brandImageUrl": null,
"id": "24d2b192-e664-3708-9abb-6f1fd4ef33c8",
"negativeFeedbackCount": 0,
"positiveFeedbackCount": 0,
"submissionTime": null,
"text": "This Lenovo laptop has 8 gigabytes of memory.",
"userNickname": null,
"badges": [],
"images": []
}
],
"images": []
}
]
}
}
Example
curl --get 'https://scrapebadger.com/v1/bestbuy/products/6668412/questions' \
--header 'X-API-Key: YOUR_API_KEY' \
--data-urlencode 'page_size=10' \
--data-urlencode 'query=' \
--data-urlencode 'page=1'

